package com.gx.obe.management.action;

import org.eclipse.swt.SWT;

import com.gx.obe.action.bean.Action;
import com.gx.obe.action.listener.ActionListener;
import com.gx.obe.management.composite.ProjectRuleComposite;

/**
 * @Description: 项目规则
 * @author guoyr
 */
public class LoadProjectRuleAction extends Action{

	@Override
	public void run() {
		ActionListener listener = this.getListener();
		listener.onLoad(this);
		ProjectRuleComposite composite = new ProjectRuleComposite(listener.getParentComposite(), this, SWT.NONE);
		listener.loadComposite(this, composite);
	}
}
